LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInstanceProvider Interface Referencepublished

allows to export UNO objects to other processes. More...

`import"XInstanceProvider.idl";`

Inheritance diagram for XInstanceProvider:

## Public Member Functions
com::sun::star::uno::XInterface | getInstance ([in] string sInstanceName) raises ( com::sun::star::container::NoSuchElementException )
| gets called, when an initial object is requested from a remote process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to export UNO objects to other processes.

See also
  XBridge

## Member Function Documentation

## ◆ getInstance()

com::sun::star::uno::XInterface getInstance | ( | [in] string | sInstanceName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

gets called, when an initial object is requested from a remote process.

You may either create a new instance or return an existing object.

Parameters

  sInstanceName | The name of the requested object.

Returns
  the object associated with the name. The return value may be null in case there is no object to offer for this string. In this case, XBridge.getInstance() (in the other process) will also return a null reference.

Exceptions

  NoSuchElementException | You may throw this exception to indicate, that there is no object for this name. Due to a specification bug, this exception will appear as a RuntimeException at the XBridge.getInstance() method.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XInstanceProvider.idl